org.bouncycastle.x509

## Class X509StreamParserSpi

- java.lang.Object
- - org.bouncycastle.x509.X509StreamParserSpi

Direct Known Subclasses:
  X509AttrCertParser, X509CertPairParser, X509CertParser, X509CRLParser

    public abstract class X509StreamParserSpi
    extends java.lang.Object

This abstract class defines the service provider interface (SPI) for X509StreamParser.

See Also:
  `X509StreamParser`

### Constructor Summary

Constructors
Constructor and Description
`X509StreamParserSpi()`

### Method Summary

Methods
`abstract void` `engineInit(java.io.InputStream in)` Initializes this stream parser with the input stream.
`abstract java.lang.Object` `engineRead()` Returns the next X.509 object of the type of this SPI from the given input stream.
`abstract java.util.Collection` `engineReadAll()` Returns all X.509 objects of the type of this SPI from the given input stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509StreamParserSpi

    public X509StreamParserSpi()

### Method Detail

#### engineInit

    public abstract void engineInit(java.io.InputStream in)

Initializes this stream parser with the input stream.

Parameters:
  `in` - The input stream.

#### engineRead

    public abstract java.lang.Object engineRead()
                                         throws StreamParsingException

Returns the next X.509 object of the type of this SPI from the given input stream.

Returns:
  the next X.509 object in the stream or `null` if the end of the stream is reached.
Throws:
  `StreamParsingException` - if the object cannot be created from input stream.

#### engineReadAll

    public abstract java.util.Collection engineReadAll()
                                                throws StreamParsingException

Returns all X.509 objects of the type of this SPI from the given input stream.

Returns:
  A collection of all X.509 objects in the input stream or `null` if the end of the stream is reached.
Throws:
  `StreamParsingException` - if an object cannot be created from input stream.